### Method

# Shell App activate_action

#### Declaration [src]

    void
    shell_app_activate_action (
      ShellApp* app,
      const char* action_name,
      GVariant* parameter,
      guint timestamp,
      int workspace,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

This activates an action using ‘org.freedesktop.Application’ DBus interface.

This function will fail if this `ShellApp` doesn’t have a valid `GDesktopAppInfo` with a valid id.

This method completes asynchronously. Use `shell_app_activate_action_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`action_name`

  Type: `const char*`

  The name of an action to activate.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`parameter`

  Type: `GVariant`

  The parameter to the activation.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`timestamp`

  Type: `guint`

  Event timestamp, or 0 for current event timestamp.

`workspace`

  Type: `int`

  Start on this workspace, or -1 for default.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.